### Method

# RB Application add_plugin_menu_item

#### Declaration [src]

    void
    rb_application_add_plugin_menu_item (
      RBApplication* app,
      const char* menu,
      const char* id,
      GMenuItem* item
    )

#### Description [src]

Adds an item to a plugin menu. The id can be used to remove the item.

#### Parameters

`menu`

  Type: `const char*`

  Name of the menu to add to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`id`

  Type: `const char*`

  Id of the item to add (used to remove it, must be unique within the menu).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`item`

  Type: `GMenuItem`

  Menu item to add.

  The data is owned by the caller of the method.